# File Label Express WordPress Plugin 

This WordPress plugin implements our standard label library and file label software's embed code in a WordPress website.

Standard Label Library
----------------------

The standard library contains label designs that match common filing systems. These include:

*   GBS
*   Barkley
*   Datafile
*   TAB
*   Tabbies

The standard library is available on [filelabelexpress.com](https://filelabelexpress.com/filing-systems/).

### Purpose

Our standard library enables a popular color-coded [filing system](https://simplicity.online/2022/05/09/responsive-web-filing-systems/) user to register for our software for free and use our label designs. The user can print our labels on one sheet with a standard printer instead of hand wrapping individual label elements, which is an advantage.

### Implementation

#### Step 1: Create a filing systems page

You need a page within WordPress that lists all the filing systems you want to implement, with a shortcode like this:

	[filing\_systems barkley="https://filelabelexpress.com/filing-systems/barkley/" 
	gbs="https://filelabelexpress.com/filing-systems/gbs-match/" 
	datafile="https://filelabelexpress.com/filing-systems/datafile/" 
	tab="https://filelabelexpress.com/filing-systems/tab/" 
	tabbies="https://filelabelexpress.com/filing-systems/tabbies/"]

The shortcode has a parameter for each filing system it supports. These are named exactly like this:

*   barkley
*   gbs
*   datafile
*   tab
*   tabbies

#### Step 2: Create Pages for Each Filing System

Each of these requires a URL. On each of these URLs, you will implement the second shortcode. Example:

	[labels system="barkley" interface="https://filelabelexpress.com/create-labels/"]

The **system** parameter defines which system to list, and the **interface** parameter is a link to another page that implements the final shortcode. **This page should be on your site, not filelabelexpress.com.**

#### Step 3: Create a Label Software Interface Page

Create a page in WordPress and install this shortcode:

	[label_interface]

File Label Software Embed
-------------------------

The plugin implements our embed code through a shortcode (the \[label\_interface\] shortcode described above). This shortcode has two different workflows.

#### Workflow 1: Standard Libraries

When linked from a standard library page, the label interface will get passed a **key** parameter in the URL. This key is a programmatic identifier for a particular label which changes the workflow of the label software, such that a user can enter label data and proceed to the print preview screen before they login or sign up, facilitating account creation for new users.

**Important**: This workflow from a standard library is only available in the WordPress plugin. The software embed has no means on its own to retrieve and display the standard library.

#### Workflow 2: Custom Label Library

Without the **key** parameter, the label software starts with a prompt to sign in with your company code. The user is presented with their custom designs once they log in, and the workflow proceeds through data entry, print preview, and print.

Plugin Options
--------------

*   **FLX Dealer**: (required) Your dealer code
*   **FLX Legacy**: (optional) if the dealer has a legacy FLX URL, add it here
*   **FLX Reseller:** (required) true
*   **FLX IP:** (optional) set this to 107.161.186.170