<?php
class Filelabel {
	public static $apiUrl = 'https://flx.filelabel.co/api/?';
	public static $systems = [
		'gbs',
		'barkley',
		'datafile',
		// 'jeter',
		'tab',
		'tabbies'
	];
	
	public static function get($url) {
		$curl = curl_init($url);
		curl_setopt($curl, CURLOPT_HEADER, 0);
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($curl, CURLOPT_FOLLOWLOCATION, 1);
		curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
		$return = curl_exec($curl);
		curl_close($curl);
		return utf8_encode($return);
	}
	
	public static function labels($atts) {
		ob_start();
		$a = shortcode_atts([
			'system'    => '',
			'interface' => '#'
		], $atts);
		$response = json_decode(self::get(self::$apiUrl.'action=getFilingSystem&name='.$a['system'])); ?>
		<?php if($response) : ?>
			<?php $system = array_chunk((array) $response->output, 6, true); ?>
			<?php foreach($system as $row) : ?>
				<div class="row">
				<?php foreach($row as $id => $label) : ?>
					<div class="col-md-2 single-label">
						<div class="panel panel-default">
							<div class="panel-heading">
								<div class="text-center">
									<?=ucwords(str_replace('_', ' ', $label->name))?>
								</div>
							</div>
							<div class="panel-body">
								<div class="text-center">
									<a href="<?=$a['interface']?>?key=<?=sha1($label->name)?>">
										<img class="label-img" src="<?=$label->image?>">
									</a>
								</div>
							</div>
						</div>
					</div>
				<?php endforeach; ?>
			</div>
			<?php endforeach; ?>
		<?php endif; ?>
		<?php return ob_get_clean();
	}
	
	public static function systems($atts) {
		$a = shortcode_atts([
			'gbs'      => '#',
			'barkley'  => '#',
			'datafile' => '#',
			'jeter'    => '#',
			'tab'      => '#',
			'tabbies'  => '#'
		], $atts);
		ob_start();
		$assets = plugin_dir_url(dirname(__FILE__)).'assets/';
		$systems = array_chunk(self::$systems, 2);
		foreach($systems as $row) : ?>
			<div class="row">
			<?php foreach($row as $system) : ?>
			<div class="col-md-6">
				<div class="single-system">
					<a data-system="<?=$system?>" href="<?=$assets.'img/filing-systems/feature/'.$system.'.png'?>">
						<img class="flx-img" src="<?=$assets.'img/filing-systems/thumb/'.$system.'.png'?>">
					</a>
					<div class="btn-group">
						<button data-system="<?=$system?>" class="btn btn-default preview-filing-system">Preview</button>
						<a class="btn btn-default" href="<?=$a[$system]?>">Select</a>
					</div>
				</div>
			</div>
			<?php endforeach; ?>
			</div>
		<?php endforeach;
		return ob_get_clean();
	}
	
	function ui() {
		ob_start(); ?>
		<script>
		var label = {};
		</script>
		<div id="LabelInterface" style="display: flex; width: 100%; height: 100%; flex-direction: column;"></div>
		<script src="//code.filelabel.co/js/LabelInterface.js?<?=time()?>"></script>
		<?php 
		$options = [];
		$settings = array_keys(FLX_Admin::$settings); 
		foreach($settings as $setting) {
			$option = get_option($setting);
			$name = str_replace('flx_', '', $setting);
			if($option) {
				if($option == 'true') {
					$option = true;
				} elseif($option == 'false') {
					$option = false;
				}
				$options[$name] = $option;
			}
		}
		?>
		<script>new LabelInterface(<?=json_encode($options)?>);</script>
		<?php return ob_get_clean();
	}
}